Subject: Re: [PATCH] tag: add -i and --introduced modifier for --contains

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Apr 2014 10:58:08 -0700

Jan Kara <[email-masked]> writes:

> On Thu 17-04-14 10:04:52, Junio C Hamano wrote:
>> So perhaps the rule should be updated to do something like:
>> 
>>     - find candidate tags that can be used to "describe --contains"
>>       the commit A, yielding v3.4, v3.5 (not shown), and v9.0;
>> 
>>     - among the candidate tags, cull the ones that contain another
>>       candidate tag, rejecting v3.5 (not shown) and v9.0;
>>
>>     - among the surviving tags, pick the closest.
> ...
> Regarding the strategy what to select when there are several
> remaining tags after first two steps I would prefer to output all such
> tags.

Yes, as I mentioned in another subthread ($gmane/246488), different
projects want different tie-breaking rules at the third step, and
your "show all to give more information to the user" could be
another mode of operation.

I offhand do not think the current name-rev machinery is set up to
compute your variant easily, though.